Subject: bug#46439: 26.1; command “break” within gdb afterwards run “list 1” infinitely

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 17 Jun 2022 14:49:45 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Ah, that one...  This is already fixed in later Emacs versions, part
>> > of it in Emacs 27 and the rest on the master branch.  Can you try a
>> > newer Emacs version?
>> 
>> Not now, too long to compile afair, and I heard about stability and memory 
>> leaks issues about 27 on #emacs.  Could you reproduce?  Or maybe it’s 
>> likely solved and not worth it.  Anyway thank you, sorry for the time loss 
>> then '^^
>
> The gdb-mi interface we now use by default had problems with non_ASCII
> files in Emacs 26.  I did reproduce them back then, and we fixed those
> problems.

It seems like this problem should be fixed, so I'm closing this bug
report.  Alexandre, if you still see this issue with recent Emacs
versions, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no